Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Interface Controllable

All Known Implementing Classes:
  MainServlet

public interface Controllable

Any Server implementaion which should support restarting, should implement this interface

Method Summary
`java.lang.Thread` | `getShutdownHook()`
`void` | `restartServer()`
`void` | `setAxis2RepoLocation(java.lang.String axis2RepoLocation)`
`void` | `setConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)`
`void` | `setMonitor(Monitor monitor)`
`void` | `shutdown()`
`void` | `startServer()`
`void` | `stopListeners()`

Method Detail

### setAxis2RepoLocation

    public void setAxis2RepoLocation(java.lang.String axis2RepoLocation)

### setMonitor

    public void setMonitor(Monitor monitor)

### stopListeners

    public void stopListeners()
                       throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### startServer

    public void startServer()
                     throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### restartServer

    public void restartServer()
                       throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### shutdown

    public void shutdown()
                  throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### getShutdownHook

    public java.lang.Thread getShutdownHook()

### setConfigurationContext

    public void setConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)
                                 throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD